- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QStyledItemDelegate Class Reference

Search for all occurrences

## Detailed Description

Definition at line 61 of file qstyleditemdelegate.h.

`#include <qstyleditemdelegate.h>`

Inheritance diagram for QStyledItemDelegate:
[legend]

List of all members.

## Public Member Functions
| QStyledItemDelegate (QObject *parent=0)
| ~QStyledItemDelegate ()
void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const
QSize | sizeHint (const QStyleOptionViewItem &option, const QModelIndex &index) const
QWidget * | createEditor (QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const
void | setEditorData (QWidget *editor, const QModelIndex &index) const
void | setModelData (QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const
void | updateEditorGeometry (QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const
QItemEditorFactory * | itemEditorFactory () const
void | setItemEditorFactory (QItemEditorFactory *factory)
virtual QString | displayText (const QVariant &value, const QLocale &locale) const
## Protected Member Functions
virtual void | initStyleOption (QStyleOptionViewItem *option, const QModelIndex &index) const
bool | eventFilter (QObject *object, QEvent *event)
bool | editorEvent (QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index)

## Constructor & Destructor Documentation

QStyledItemDelegate | ( | QObject * | parent = `0` | ) | `[explicit]`

~QStyledItemDelegate | ( |  | ) |

## Member Function Documentation

void paint | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemDelegate.

QSize sizeHint | ( | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemDelegate.

QWidget* createEditor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

void setEditorData | ( | QWidget * | editor,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

void setModelData | ( | QWidget * | editor,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

void updateEditorGeometry | ( | QWidget * | editor,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

QItemEditorFactory* itemEditorFactory | ( |  | ) | const

Search for all occurrences

void setItemEditorFactory | ( | QItemEditorFactory * | factory | ) |

Search for all occurrences

virtual QString displayText | ( | const QVariant & | value,
|  | const QLocale & | locale
| ) |  | const `[virtual]`

Search for all occurrences

virtual void initStyleOption | ( | QStyleOptionViewItem * | option,
|  | const QModelIndex & | index
| ) |  | const `[protected, virtual]`

Search for all occurrences

bool eventFilter | ( | QObject * | object,
|  | QEvent * | event
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

bool editorEvent | ( | QEvent * | event,
|  | QAbstractItemModel * | model,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractItemDelegate.

The documentation for this class was generated from the following file:

- QtGui/qstyleditemdelegate.h

QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate
QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate QStyledItemDelegate